package com.diagbot.facade;

import com.alibaba.fastjson.JSONObject;
import com.diagbot.dto.EvaluationDTO;
import com.diagbot.service.impl.EvaluationServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.vo.EvaluationDiseaseNameVO;
import com.diagbot.vo.SearchVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public class EvaluationFacade extends EvaluationServiceImpl {

    @Autowired
    PushFacade pushFacade;

    /**
     * 获取管理与评估模板接口
     *
     * @param searchVo
     * @return
     */
    public List<EvaluationDTO> getEvaluationModule(SearchVo searchVo) {

        EvaluationDiseaseNameVO evaluationdiseaseNameVO = new EvaluationDiseaseNameVO();
        BeanUtil.copyProperties(searchVo, evaluationdiseaseNameVO);
        List<EvaluationDTO> evaluationList = this.getEvaluationModule(evaluationdiseaseNameVO);

        Map<String, JSONObject> jsonobject = pushFacade.getManagementEvaluationContent(searchVo);
        for (String key : jsonobject.keySet()) {
            for (EvaluationDTO evaluadata : evaluationList) {
                if (key.equals(evaluadata.getRegionName())) {
                    evaluadata.setData(jsonobject.get(key));
                }
            }
        }
        return evaluationList;
    }
}